Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0010521 [DCSS] Bug Report minor have not tried 2016-06-24 02:40 2018-08-29 07:17
Reporter Yermak View Status public  
Assigned To advil
Priority normal Resolution done  
Status closed   Product Branch 0.19 ancient branch
Summary 0010521: Fog has been broken
Description Sometimes after reading scroll of fog (there are other cases too) some squares remain visible through double fog squares. Line of sight becomes proper after player moves. See attached picture. I believe this wasn't the issue before 0.18.
Additional Information
Tags No tags attached.
Attached Files png file icon Fog_bug.png [^] (234,485 bytes) 2016-06-24 02:40
png file icon Screenshot 2017-03-08 23.15.22.png [^] (7,866 bytes) 2017-03-09 05:23

- Relationships
related to 0010892new Problem with tile lighting when fog appears 

-  Notes
(0030723)
PleasingFungus (administrator)
2016-07-05 07:38

I can reproduce this, but not consistently.
(0031533)
advil (administrator)
2017-03-08 23:35

Conceivably related: crash from targeter (for orb of destruction, but I'm not sure that matters) somehow allowing selection of a square that is or should be blocked from los by fog.

http://crawl.akrasiac.org/rawdata/sh/crash-sh-20170308-164346.txt [^]
(0031534)
advil (administrator)
2017-03-09 05:22

I fixed the targeter crash, which was an instance of los not being calculated, but in the opposite direction (it wasn't being correctly expanded when transparent clouds replaced opaque clouds). This bug remains.
(0031535)
advil (administrator)
2017-03-09 05:56

Fixed in 73d9be086362, cloud spreading simply wasn't updating the los (unless something else triggered the update).

- Issue History
Date Modified Username Field Change
2016-06-24 02:40 Yermak New Issue
2016-06-24 02:40 Yermak File Added: Fog_bug.png
2016-07-05 07:38 PleasingFungus Note Added: 0030723
2016-07-05 07:38 PleasingFungus Status new => confirmed
2017-03-08 23:32 advil Relationship added related to 0010892
2017-03-08 23:35 advil Note Added: 0031533
2017-03-09 05:22 advil Note Added: 0031534
2017-03-09 05:23 advil File Added: Screenshot 2017-03-08 23.15.22.png
2017-03-09 05:56 advil Note Added: 0031535
2017-03-09 05:56 advil Status confirmed => resolved
2017-03-09 05:56 advil Fixed in Branch => 0.20 development branch
2017-03-09 05:56 advil Resolution open => done
2017-03-09 05:56 advil Assigned To => advil
2018-08-29 07:16 Yermak Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker